﻿using System.Collections.Generic;
using System.Threading.Tasks;
using RssReader.DataModel;
using RssReader.FeedProvider;
using Windows.Web.Syndication;

namespace RssReader.FeedsProvider
{
    interface IFeedProvider
    {
        Task<Feed> Get_feed(string url, string category, int maxItems, Category categoryCollection);

        Task<SyndicationFeed> Syndication_feed(string url,string category);

        void Convert_syndicationitem_to_feed_item(Category category, Feed feed, List<SyndicationItem> syndicationItems);
    }
}
