﻿
using RssReader.Common;
namespace RssReader.FeedProvider
{
    /// <summary>
    /// For linked posts
    /// </summary>
    public sealed class Link : BindableBase
    {
        public Link(string url, string title)
        {
            Url = url;
            Title = title;
        }

        private string _url;
        public string Url 
        {
            get
            {
                return _url;
            }
            set
            {
                this.SetProperty(ref this._url, value);
            }
        }

        private string _title;
        public string Title 
        {
            get
            {
                return _title;
            }
            set
            {
                this.SetProperty(ref this._title, value);
            }
        }
        
        
    }
}